pcl::DefaultPointRepresentation< VFHSignature308 > Class Reference

`#include <pcl/point_representation.h>`

Inheritance diagram for pcl::DefaultPointRepresentation< VFHSignature308 >:

## Additional Inherited Members

Public Types inherited from pcl::DefaultFeatureRepresentation< VFHSignature308 >
using | Ptr = shared_ptr< DefaultFeatureRepresentation< VFHSignature308 > >
using | ConstPtr = shared_ptr< const DefaultFeatureRepresentation< VFHSignature308 > >
using | FieldList = typename pcl::traits::fieldList< VFHSignature308 >::type
Public Types inherited from pcl::PointRepresentation< VFHSignature308 >
using | Ptr = shared_ptr< PointRepresentation< VFHSignature308 > >
using | ConstPtr = shared_ptr< const PointRepresentation< VFHSignature308 > >
Public Member Functions inherited from pcl::DefaultFeatureRepresentation< VFHSignature308 >
| DefaultFeatureRepresentation ()
Ptr | makeShared () const
void | copyToFloatArray (const VFHSignature308 &p, float *out) const override
| Copy point data from input point to a float array. More...
Public Member Functions inherited from pcl::PointRepresentation< VFHSignature308 >
virtual | ~PointRepresentation ()=default
| Empty destructor. More...
bool | isTrivial () const
| Returns whether this point representation is trivial. More...
virtual bool | isValid (const VFHSignature308 &p) const
| Verify that the input point is valid. More...
void | vectorize (const VFHSignature308 &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha. More...
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points. More...
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation. More...
Protected Attributes inherited from pcl::PointRepresentation< VFHSignature308 >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e. More...
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension. More...
bool | trivial_
| Indicates whether this point representation is trivial. More...

## Detailed Description

Definition at line 415 of file point_representation.h.

The documentation for this class was generated from the following file:

- pcl/point_representation.h